curl --request POST \
--url https://api.example.com/api/v1/project/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [
{
"field": "timestamp",
"order": "Asc"
}
],
"trackTotal": false
}
EOF{
"data": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"name": "<string>",
"legalName": "<string>",
"description": "<string>",
"icon": "<string>",
"website": "<string>",
"networkStatus": "TESTNET",
"coinGeckoId": "<string>",
"params": {},
"tags": [
"<string>"
],
"viewTenantIds": [
123
],
"licenses": [
{
"license": {
"name": "<string>",
"version": "<string>",
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"icon": "<string>",
"scoreGroups": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"name": "<string>",
"title": "<string>",
"description": "<string>"
}
],
"params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
"groupScript": "<string>",
"scoreScript": "<string>"
},
"organisationId": 123,
"projectId": 123,
"licenseStatus": "PENDING",
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"licenseInstanceMeta": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"licenseInstanceId": 123,
"startedAt": "2022-03-10T16:15:50Z",
"expiredAt": "2022-03-10T16:15:50Z"
}
]
}
],
"type": "<string>",
"meta": {}
}
],
"total": 123
}Search by params from response dto
curl --request POST \
--url https://api.example.com/api/v1/project/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"from": 0,
"size": 10,
"where": "field1='value' and field2<>'value2'",
"sort": [
{
"field": "timestamp",
"order": "Asc"
}
],
"trackTotal": false
}
EOF{
"data": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"tenantId": 123,
"name": "<string>",
"legalName": "<string>",
"description": "<string>",
"icon": "<string>",
"website": "<string>",
"networkStatus": "TESTNET",
"coinGeckoId": "<string>",
"params": {},
"tags": [
"<string>"
],
"viewTenantIds": [
123
],
"licenses": [
{
"license": {
"name": "<string>",
"version": "<string>",
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"icon": "<string>",
"scoreGroups": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"name": "<string>",
"title": "<string>",
"description": "<string>"
}
],
"params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
"groupScript": "<string>",
"scoreScript": "<string>"
},
"organisationId": 123,
"projectId": 123,
"licenseStatus": "PENDING",
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"licenseInstanceMeta": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"licenseInstanceId": 123,
"startedAt": "2022-03-10T16:15:50Z",
"expiredAt": "2022-03-10T16:15:50Z"
}
]
}
],
"type": "<string>",
"meta": {}
}
],
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
Use this file to discover all available pages before exploring further.
Authentication
Starting document offset
x >= 00
The number of hits to return
0 <= x <= 1000010
Query string to search for data. Represent SQL 'where'
"field1='value' and field2<>'value2'"
Sorting for the search
1Show child attributes
Return total results field if true